package com.ruoyi.interfaces.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 返回数据对象 pt_service_return
 * 
 * @author 朱得糠
 * @date 2025-08-29
 */
public class PtServiceReturn extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 父id */
    @Excel(name = "父id")
    private Long parentId;

    /** 服务ID */
    @Excel(name = "服务ID")
    private String srvId;

    /** CODE */
    @Excel(name = "CODE")
    private String paramCode;

    /** 字段名称 */
    @Excel(name = "字段名称")
    private String paramName;

    /** 字段类型 */
    @Excel(name = "字段类型")
    private String paramType;

    /** 示例值 */
    @Excel(name = "示例值")
    private String paramValue;

    /** 参数格式 */
    @Excel(name = "参数格式")
    private String paramFormat;

    /** 备注 */
    @Excel(name = "备注")
    private String paramNote;

    /** 是否数组 0 = 否；1 = 是 */
    @Excel(name = "是否数组 0 = 否；1 = 是")
    private String isArray;

    /** 数组坐标 */
    @Excel(name = "数组坐标")
    private Long arrayIndex;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setSrvId(String srvId) 
    {
        this.srvId = srvId;
    }

    public String getSrvId() 
    {
        return srvId;
    }
    public void setParamCode(String paramCode) 
    {
        this.paramCode = paramCode;
    }

    public String getParamCode() 
    {
        return paramCode;
    }
    public void setParamName(String paramName) 
    {
        this.paramName = paramName;
    }

    public String getParamName() 
    {
        return paramName;
    }
    public void setParamType(String paramType) 
    {
        this.paramType = paramType;
    }

    public String getParamType() 
    {
        return paramType;
    }
    public void setParamValue(String paramValue) 
    {
        this.paramValue = paramValue;
    }

    public String getParamValue() 
    {
        return paramValue;
    }
    public void setParamFormat(String paramFormat) 
    {
        this.paramFormat = paramFormat;
    }

    public String getParamFormat() 
    {
        return paramFormat;
    }
    public void setParamNote(String paramNote) 
    {
        this.paramNote = paramNote;
    }

    public String getParamNote() 
    {
        return paramNote;
    }
    public void setIsArray(String isArray) 
    {
        this.isArray = isArray;
    }

    public String getIsArray() 
    {
        return isArray;
    }
    public void setArrayIndex(Long arrayIndex) 
    {
        this.arrayIndex = arrayIndex;
    }

    public Long getArrayIndex() 
    {
        return arrayIndex;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getId())
            .append("parentId", getParentId())
            .append("srvId", getSrvId())
            .append("paramCode", getParamCode())
            .append("paramName", getParamName())
            .append("paramType", getParamType())
            .append("paramValue", getParamValue())
            .append("paramFormat", getParamFormat())
            .append("paramNote", getParamNote())
            .append("isArray", getIsArray())
            .append("arrayIndex", getArrayIndex())
            .append("SORT", getSort())
            .toString();
    }
}
